#! /usr/bin/octave -q
#
# (C) July, 2005. Muthiah Annamalai. <gnumuthu-at-users-dot-sf-dot-net>
# Octave-FLTK
#

disp('FLTK examples: Hello World');

function rval=main()
  Fl=fltk();
  window=Fl_Window(300,180);
  box = Fl_Box(FL_UP_BOX,20,40,260,100,"Hello, World!");
  box.labelfont(FL_BOLD+FL_ITALIC);
  box.labelsize(36);
  box.labeltype(FL_SHADOW_LABEL);
  window.end();
  typeinfo(Fl)
  #pass it as Cell, thats most-native to Octave
  window.show({"Octave-FLTK","-bg","maroon"});

  disp('Fl.Window()');
  w2=Fl.Window(300,100);
  Fl_Box(FL_UP_BOX,0,0,300,100,"Octave-FLTK for you");
  w2.end();
  w2.show({"Octave Rocks","-bg","green"});


  #make interface more, C++like
  disp('Fl.run()');
  Fl.run(); #Fl_run();
  return;
end

main()
